libstdc++: __gnu_cxx::malloc_allocator< _Tp > Class Template Reference

libstdc++

__gnu_cxx::malloc_allocator< _Tp > Class Template Reference
Utilities » Memory » Allocators

`#include <malloc_allocator.h>`

## Public Types
typedef std::ptrdiff_t | difference_type
typedef std::true_type | propagate_on_container_move_assignment
typedef std::size_t | size_type
typedef _Tp | value_type

## Public Member Functions
constexpr | malloc_allocator (const malloc_allocator &) noexcept
template<typename _Tp1>
constexpr | malloc_allocator (const malloc_allocator< _Tp1 > &) noexcept
_Tp * | allocate (size_type __n, const void *=0)
void | deallocate (_Tp *__p, size_type)

## Friends
template<typename _Up>
constexpr bool | operator== (const malloc_allocator &, const malloc_allocator< _Up > &) noexcept

## Detailed Description

template<typename _Tp>
class __gnu_cxx::malloc_allocator< _Tp >

An allocator that uses malloc.

This is precisely the allocator defined in the C++ Standard.

- all allocation calls malloc
- all deallocation calls free

Definition at line 56 of file malloc_allocator.h.

## Member Typedef Documentation

## ◆ difference_type

template<typename _Tp>

typedef std::ptrdiff_t __gnu_cxx::malloc_allocator< _Tp >::difference_type

Definition at line 61 of file malloc_allocator.h.

## ◆ propagate_on_container_move_assignment

template<typename _Tp>

typedef std::true_type __gnu_cxx::malloc_allocator< _Tp >::propagate_on_container_move_assignment

Definition at line 76 of file malloc_allocator.h.

## ◆ size_type

template<typename _Tp>

typedef std::size_t __gnu_cxx::malloc_allocator< _Tp >::size_type

Definition at line 60 of file malloc_allocator.h.

## ◆ value_type

template<typename _Tp>

typedef _Tp __gnu_cxx::malloc_allocator< _Tp >::value_type

Definition at line 59 of file malloc_allocator.h.

## Constructor & Destructor Documentation

## ◆ malloc_allocator() [1/3]

template<typename _Tp>

__gnu_cxx::malloc_allocator< _Tp >::malloc_allocator | ( |  | ) |
| inlineconstexprnoexcept

Definition at line 80 of file malloc_allocator.h.

## ◆ malloc_allocator() [2/3]

template<typename _Tp>

__gnu_cxx::malloc_allocator< _Tp >::malloc_allocator | ( | const malloc_allocator< _Tp > & |  | ) |
| inlineconstexprnoexcept

Definition at line 83 of file malloc_allocator.h.

## ◆ malloc_allocator() [3/3]

template<typename _Tp>
template<typename _Tp1>

__gnu_cxx::malloc_allocator< _Tp >::malloc_allocator | ( | const malloc_allocator< _Tp1 > & |  | ) |
| inlineconstexprnoexcept

Definition at line 87 of file malloc_allocator.h.

## Member Function Documentation

## ◆ allocate()

template<typename _Tp>

_Tp * __gnu_cxx::malloc_allocator< _Tp >::allocate | ( | size_type | __n,
|  | const void * | = 0 )
| inlinenodiscard

Definition at line 105 of file malloc_allocator.h.

## ◆ deallocate()

template<typename _Tp>

void __gnu_cxx::malloc_allocator< _Tp >::deallocate | ( | _Tp * | __p,
|  | size_type | )
| inline

Definition at line 152 of file malloc_allocator.h.

## Friends And Related Symbol Documentation

## ◆ operator==

template<typename _Tp>
template<typename _Up>

bool operator== | ( | const malloc_allocator< _Tp > & | ,
|  | const malloc_allocator< _Up > & | )
| friend

Definition at line 186 of file malloc_allocator.h.

The documentation for this class was generated from the following files:

- experimental/memory_resource
- malloc_allocator.h